View Issue Details

IDProjectCategoryView StatusLast Update
0001490SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.11 
Target Version3.5.12Fixed in Version3.5.12 
Summary0001490: Background extract process currently just handles one request at a time. Change to handle multiple requests.
DescriptionBackground extract process currently just handles one request at a time. Change to handle multiple requests. Timebox the amount of time spent in the execute method. If X requests take longer than 30 seconds, then exit and wait for the request to be queued up again.
TagsNo tags attached.

Activities

chenson

2013-12-17 16:26

administrator   ~0000407

Add more logging at the info level.

Related Changesets

SymmetricDS: master 1e169052

2013-12-17 16:26:53

chenson

Details Diff
0001490: Background extract process currently just handles one request at a time. Change to handle multiple requests.

Order by request id

0001490
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2013-12-17 16:26 chenson New Issue
2013-12-17 16:26 chenson Status new => assigned
2013-12-17 16:26 chenson Assigned To => chenson
2013-12-17 16:26 chenson Note Added: 0000407
2013-12-17 16:27 chenson Status assigned => resolved
2013-12-17 16:27 chenson Fixed in Version => 3.5.12
2013-12-17 16:27 chenson Resolution open => fixed
2013-12-18 10:55 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7801
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 1e169052